

if object_id('tempdb..#delete_ScheduleTypeDetail','U') is not null drop table #delete_ScheduleTypeDetail
select * 
into #delete_ScheduleTypeDetail
from (
select dd.ScheduleTypeId, dd.ColumnId, 
	count(1) over (partition by dd.ScheduleTypeId, dd.ColumnId ) cnt,
	ROW_NUMBER() over (partition by dd.ScheduleTypeId, dd.ColumnId order by dd.CalculationOrder desc)  rn, 
	c.Name columnName, d.Name scheduleTypeName,
	dd.FTOS_BP_PaymentScheduleTypeDetailid, dd.CalculationOrder, dd.CreatedOn, dd.Display
from ebs.FTOS_BP_PaymentScheduleType d (nolock)
join ebs.FTOS_BP_PaymentScheduleTypeDetail dd (nolock) on d.FTOS_BP_PaymentScheduleTypeid = dd.ScheduleTypeId
join ebs.FTOS_BP_ScheduleTypeColumn c (nolock) on c.FTOS_BP_ScheduleTypeColumnid = dd.ColumnId
) a
where a.cnt >1

select * from #delete_ScheduleTypeDetail

delete dd from ebs.FTOS_BP_PaymentScheduleTypeDetail dd
join #delete_ScheduleTypeDetail x on dd.FTOS_BP_PaymentScheduleTypeDetailid = x.FTOS_BP_PaymentScheduleTypeDetailid 
where x.columnName = 'RemainingValue' and x.rn = 1

delete dd from ebs.FTOS_BP_PaymentScheduleTypeDetail dd
join #delete_ScheduleTypeDetail x on dd.FTOS_BP_PaymentScheduleTypeDetailid = x.FTOS_BP_PaymentScheduleTypeDetailid 
where x.columnName = 'TotalInstallment' and x.rn = 2

delete dd from ebs.FTOS_BP_PaymentScheduleTypeDetail dd
join #delete_ScheduleTypeDetail x on dd.FTOS_BP_PaymentScheduleTypeDetailid = x.FTOS_BP_PaymentScheduleTypeDetailid 
where x.columnName not in ('RemainingValue','TotalInstallment') and x.rn = 2

if object_id('tempdb..#delete_ScheduleTypeDetail','U') is not null drop table #delete_ScheduleTypeDetail

