declare @dataSetName nvarchar(max), @statusId uniqueidentifier, @statusClosedId uniqueidentifier;
SET @statusId = ebs.GetBWStatusId('Draft','FTOS_CALC_CoefficientMatrixType');
SET @statusClosedId = ebs.GetBWStatusId('Closed','FTOS_CALC_CoefficientMatrixType');

declare dataSet_cursor cursor for 
select d.Name from EbsMetadata.ApplicationCI aci
join EbsMetadata.FTOS_CALC_CoefficientMatrixType d on aci.RecordId = d.FTOS_CALC_CoefficientMatrixTypeid
join EbsMetadata.Application ap on aci.ApplicationId = ap.applicationid
where ap.Code = 'BAN-RMC-SDK';

open dataSet_cursor
fetch next from dataSet_cursor into @dataSetName
while @@FETCH_STATUS = 0 
begin
	update EbsMetadata.FTOS_CALC_CoefficientMatrixType
	set BusinessStatusId = @statusClosedId
	where Name = @dataSetName and BusinessStatusId = @statusId;
	fetch next from dataSet_cursor into @dataSetName
end
close dataSet_cursor
deallocate dataSet_cursor