declare @formId uniqueidentifier, @domainId uniqueidentifier, @count numeric;
set @domainId = (select B2CFrontendDomainid from EbsMetadata.B2CFrontendDomain where Name = 'B2C');

set @formId = (select customActionid from EbsMetadata.CustomAction where Name = 'FTOS_DFP_ESign');
set @count = (select count(*) from EbsMetadata.B2C_CustomForm where customActionid = @formId and B2CFrontendDomainid = @domainId);
if @count = 0 and @formId is not null
	insert into EbsMetadata.B2C_CustomForm (B2C_CustomFormid, customActionid, B2CFrontendDomainid) values (NEWID(), @formId, @domainId);

set @formId = (select customActionid from EbsMetadata.CustomAction where Name = 'FTOS_DFP_VideoRecording');
set @count = (select count(*) from EbsMetadata.B2C_CustomForm where customActionid = @formId and B2CFrontendDomainid = @domainId);
if @count = 0 and @formId is not null
	insert into EbsMetadata.B2C_CustomForm (B2C_CustomFormid, customActionid, B2CFrontendDomainid) values (NEWID(), @formId, @domainId);

set @formId = (select customActionid from EbsMetadata.CustomAction where Name = 'FTOS_DFP_Onfido');
set @count = (select count(*) from EbsMetadata.B2C_CustomForm where customActionid = @formId and B2CFrontendDomainid = @domainId);
if @count = 0 and @formId is not null
	insert into EbsMetadata.B2C_CustomForm (B2C_CustomFormid, customActionid, B2CFrontendDomainid) values (NEWID(), @formId, @domainId);

set @formId = (select customActionid from EbsMetadata.CustomAction where Name = 'FTOS_DFP_VideoStreaming');
set @count = (select count(*) from EbsMetadata.B2C_CustomForm where customActionid = @formId and B2CFrontendDomainid = @domainId);
if @count = 0 and @formId is not null
	insert into EbsMetadata.B2C_CustomForm (B2C_CustomFormid, customActionid, B2CFrontendDomainid) values (NEWID(), @formId, @domainId);

set @formId = (select customActionid from EbsMetadata.CustomAction where Name = 'FTOS_DFP_FaceRecognitionLiveness');
set @count = (select count(*) from EbsMetadata.B2C_CustomForm where customActionid = @formId and B2CFrontendDomainid = @domainId);
if @count = 0 and @formId is not null
	insert into EbsMetadata.B2C_CustomForm (B2C_CustomFormid, customActionid, B2CFrontendDomainid) values (NEWID(), @formId, @domainId);

set @formId = (select customActionid from EbsMetadata.CustomAction where Name = 'FTOS_DFP_ESign_Download');
set @count = (select count(*) from EbsMetadata.B2C_CustomForm where customActionid = @formId and B2CFrontendDomainid = @domainId);
if @count = 0 and @formId is not null
	insert into EbsMetadata.B2C_CustomForm (B2C_CustomFormid, customActionid, B2CFrontendDomainid) values (NEWID(), @formId, @domainId);

set @formId = (select customActionid from EbsMetadata.CustomAction where Name = 'FTOS_DFP_OCR');
set @count = (select count(*) from EbsMetadata.B2C_CustomForm where customActionid = @formId and B2CFrontendDomainid = @domainId);
if @count = 0 and @formId is not null
	insert into EbsMetadata.B2C_CustomForm (B2C_CustomFormid, customActionid, B2CFrontendDomainid) values (NEWID(), @formId, @domainId);

set @formId = (select customActionid from EbsMetadata.CustomAction where Name = 'FTOS_DFP_FaceRecognition');
set @count = (select count(*) from EbsMetadata.B2C_CustomForm where customActionid = @formId and B2CFrontendDomainid = @domainId);
if @count = 0 and @formId is not null
	insert into EbsMetadata.B2C_CustomForm (B2C_CustomFormid, customActionid, B2CFrontendDomainid) values (NEWID(), @formId, @domainId);