declare @username nvarchar(max), @roleName nvarchar(max), @counter numeric, @userId uniqueidentifier, @roleId uniqueidentifier;

set @username = 'b2c.guest';
set @roleName = 'B2C';

set @userId = (select systemuserid from EbsMetadata.SystemUser where UserName = @username);
set @roleId = (select securityroleid from EbsMetadata.SecurityRole where Name = @roleName);

set @counter = (select count(SystemUserSecurityRoleid) from EbsMetadata.SystemUserSecurityRole where systemuserid = @userId and securityroleid = @roleId);
if @counter = 0
	insert into EbsMetadata.SystemUserSecurityRole(SystemUserSecurityRoleid, systemuserid, securityroleid)
	values (NEWID(), @userId, @roleId);

